Macro SelectVisible

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro SelectVisible and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano

SelectVisible.png Macro SelectVisible

Description
Sélectionne tous les objets visibles.

Version macro : 1.0
Date dernière modification : 2016-04-08
Version FreeCAD : All
Téléchargement : ToolBar Icon
Auteur
galou_breizh
Téléchargement
ToolBar Icon
Liens
Version Macro
1.0
Dernière modification
2016-04-08
Version(s) FreeCAD
All
Raccourci clavier
None
Voir aussi
None


Description

Sélectionne tous les objets visibles dans la vue 3D

Temporary code for external macro link. Do not use this code. This code is used exclusively by Addon Manager.


# This code is copied instead of the original macro code
# to guide the user to the online download page.
# Use it if the code of the macro is larger than 64 KB and cannot be included in the wiki
# or if the RAW code URL is somewhere else in the wiki.

from PySide import QtGui, QtCore

diag = QtGui.QMessageBox(QtGui.QMessageBox.Information,
    "Information",
    "This macro must be downloaded from this link\n"
    "\n"
    "https://raw.githubusercontent.com/FreeCAD/FreeCAD-macros/master/Utility/SelectVisible.FCMacro" + "\n"
    "\n"
    "Quit this window to access the download page")

diag.setWindowFlags(QtCore.Qt.WindowStaysOnTopHint)
diag.setWindowModality(QtCore.Qt.ApplicationModal)
diag.exec_()

import webbrowser 
webbrowser.open("https://raw.githubusercontent.com/FreeCAD/FreeCAD-macros/master/Utility/SelectVisible.FCMacro")
<class="rawcodeurl"><a href="https://raw.githubusercontent.com/FreeCAD/FreeCAD-macros/master/Utility/SelectVisible.FCMacro">raw code</a>


Utilisation

Copiez la macro dans votre répertoire de macros (voir Comment installer une macro pour plus d'informations)

Script

La dernière version est téléchargeable sur https://github.com/FreeCAD/FreeCAD-macros/blob/master/Utility/SelectVisible.FCMacro

ToolBar Icon SelectVisible.png

Macro_Select.FCMacro

# FreeCAD Macro SelectVisible

__Name__ = 'Select Visible'
__Comment__ = 'All visible objects in the tree will be selected'
__Web__ = 'http://www.freecadweb.org/wiki/Macro_SelectVisible'
__Wiki__ = 'http://www.freecadweb.org/wiki/Macro_SelectVisible'
__Icon__ = 'SelectVisible.svg'
__Help__ = 'All visible objects in the tree and only these will be selected'
__Author__ = 'galou_breizh'
__Version__ = '1.0'
__Status__ = 'Production'
__Requires__ = ''

import FreeCAD as App
import FreeCADGui as Gui

doc = App.activeDocument()

if not doc:
    App.Console.PrintWarning('SelectVisible: no active document')
else:
    Gui.Selection.clearSelection()
    for o in doc.Objects:
        if o.ViewObject.Visibility:
            Gui.Selection.addSelection(o)